
RADOS - Bug #20920

pg dump fails during point-to-point upgrade

08/04/2017 10:25 PM - Sage Weil

Status: Resolved % Done: 0%

Priority: Immediate Spent time: 0.00 hour

Assignee: Sage Weil   

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: luminous Component(RADOS):  

Regression: No Pull request ID:  

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Description

Command failed on smithi021 with status 22: 'sudo adjust-ulimits ceph-coverage /home/ubuntu/cephtest/archive/coverage timeout

120 ceph --cluster ceph pg dump --format=json'

/a/sage-2017-08-04_21:14:47-upgrade:jewel-x-wip-jewel-x-distro-basic-smithi/1483285

It's right after the first of three mons is upgraded (the leader).

The problem seems to be that the commands it shares with the quorum does not include the pgmonitor commands that are moving

to mgr, so the mixed-version mon cluster doesn't advertise things like 'pg dump' at all.

Related issues:

Related to Ceph - Bug #20957: "ceph pg stat" command is documented in manpage... Duplicate 08/09/2017

Copied to RADOS - Backport #20963: luminous: pg dump fails during point-to-po... Resolved

History

#1 - 08/05/2017 12:03 AM - Greg Farnum

Do we have a "legacy" command map that matches the pre-luminous ones? I think we just need to use that for the command sharing if so. Otherwise

need to build one or do something more complicated to union what it knows about and supports without the manager being involved...

#2 - 08/07/2017 04:31 PM - Sage Weil

- Backport set to luminous

#3 - 08/07/2017 07:49 PM - Sage Weil

- Status changed from In Progress to Pending Backport

#4 - 08/09/2017 06:32 PM - Nathan Cutler

- Copied to Backport #20963: luminous: pg dump fails during point-to-point upgrade added

#5 - 08/09/2017 07:26 PM - Greg Farnum

https://github.com/ceph/ceph/pull/16871

#6 - 08/09/2017 07:26 PM - Greg Farnum

- Related to Bug #20957: "ceph pg stat" command is documented in manpage, but gives EINVAL added

#7 - 08/09/2017 07:54 PM - Nathan Cutler
https://github.com/ceph/ceph/pull/16871


- Status changed from Pending Backport to Resolved
